Bug 28613 - Several objects.search-based routes missing parameters
Summary: Several objects.search-based routes missing parameters
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 28480
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-22 11:49 UTC by Tomás Cohen Arazi
Modified: 2022-06-06 20:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.06


Attachments
Bug 28613: Add missing parameters to objects.search-based routes (5.00 KB, patch)
2021-06-22 11:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28613: Add missing parameters to objects.search-based routes (5.06 KB, patch)
2021-10-27 15:50 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-06-22 11:49:43 UTC
The objects.search helper provides convenient ways to paginate and a 'q' filter parameter to build complex queries on this Koha::Objects-based routes.

Some routes were created prior to this feature getting introduced. We need to adjust the parameters for all existing objects.search-based routes.
Comment 1 Tomás Cohen Arazi 2021-06-22 11:57:51 UTC
Created attachment 122279 [details] [review]
Bug 28613: Add missing parameters to objects.search-based routes

The objects.search helper provides convenient ways to paginate and a 'q' filter parameter to build complex queries on this Koha::Objects-based routes.

Some routes were created prior to this feature getting introduced. We need to adjust the parameters for all existing objects.search-based routes.

This patch adds that.

The only GET (as in list) routes that would still be missing the
parameters are those about ILL, that are not objects.search based, and
probably need to be rewritten.

https://bugs.koha-community.org/show_bug.cgi?id=28480
Comment 2 Martin Renvoize 2021-10-27 15:50:03 UTC
Created attachment 127014 [details] [review]
Bug 28613: Add missing parameters to objects.search-based routes

The objects.search helper provides convenient ways to paginate and a 'q' filter parameter to build complex queries on this Koha::Objects-based routes.

Some routes were created prior to this feature getting introduced. We need to adjust the parameters for all existing objects.search-based routes.

This patch adds that.

The only GET (as in list) routes that would still be missing the
parameters are those about ILL, that are not objects.search based, and
probably need to be rewritten.

https://bugs.koha-community.org/show_bug.cgi?id=28480

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-10-27 15:50:20 UTC
Nice one, trivial fix.. Passing QA
Comment 4 Jonathan Druart 2021-10-28 10:28:47 UTC
No test? So it will happen again...
Comment 5 Jonathan Druart 2021-10-28 10:29:52 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-11-10 23:52:27 UTC Comment hidden (obsolete)
Comment 7 Fridolin Somers 2021-11-10 23:53:44 UTC
It will be in 21.05.06
Comment 8 Fridolin Somers 2021-11-11 00:00:58 UTC
Depends on Bug 28480 not in 20.11.x